# -*- coding: utf-8 -*-

from __future__ import division
from __future__ import print_function
from __future__ import unicode_literals

from django.conf.urls import url
from bda.views import SpectacleListView
from bda import views

urlpatterns = [
    url(r'^inscription/(?P<tirage_id>\d+)$',
        views.inscription,
        name='bda-tirage-inscription'),
    url(r'^places/(?P<tirage_id>\d+)$',
        views.places,
        name="bda-places-attribuees"),
    url(r'^revente/(?P<tirage_id>\d+)$',
        views.revente,
        name='bda-revente'),
    url(r'^etat-places/(?P<tirage_id>\d+)$',
        views.etat_places,
        name='bda-etat-places'),
    url(r'^tirage/(?P<tirage_id>\d+)$', views.tirage),
    url(r'^spectacles/(?P<tirage_id>\d+)$',
        SpectacleListView.as_view(),
        name="bda-liste-spectacles"),
    url(r'^spectacles/(?P<tirage_id>\d+)/(?P<spectacle_id>\d+)$',
        views.spectacle,
        name="bda-spectacle"),
    url(r'^spectacles/unpaid/(?P<tirage_id>\d+)$',
        views.unpaid,
        name="bda-unpaid"),
    url(r'^mails-rappel/(?P<spectacle_id>\d+)$', views.send_rappel),
]
